Arbor 3: FSM & BT Graph Editor 3.5.1

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
FlexibleRectTransform Class Reference

参照方法が複数ある柔軟なRectTransform型を扱うクラス。 More...

Inheritance diagram for FlexibleRectTransform:

## Public Member Functions
| FlexibleRectTransform ()
| FlexibleRectTransformデフォルトコンストラクタ More...
| FlexibleRectTransform (RectTransform value)
| FlexibleRectTransformコンストラクタ More...
| FlexibleRectTransform (RectTransformParameterReference parameter)
| FlexibleRectTransformコンストラクタ More...
| FlexibleRectTransform (InputSlotRectTransform slot)
| FlexibleRectTransformコンストラクタ More...
FlexibleComponent | ToFlexibleComponent ()
| FlexibleComponentへ変換して返す。 More...
Public Member Functions inherited from FlexibleField< RectTransform >
override object | GetValueObject ()
| 値をobjectで返す。 More...
| FlexibleField ()
| FlexibleFieldデフォルトコンストラクタ More...
| FlexibleField (T value)
| FlexibleFieldコンストラクタ More...
| FlexibleField (AnyParameterReference parameter)
| FlexibleFieldコンストラクタ More...
| FlexibleField (InputSlotAny slot)
| FlexibleFieldコンストラクタ More...

## Static Public Member Functions
static | operator RectTransform (FlexibleRectTransform flexible)
| FlexibleRectTransformをRectTransformにキャスト。 More...
static | operator FlexibleRectTransform (RectTransform value)
| RectTransformをFlexibleRectTransformにキャスト。 More...
Static Public Member Functions inherited from FlexibleField< RectTransform >
static | operator T (FlexibleField< T > flexible)
| FlexibleFieldをTにキャスト。 More...
static | operator FlexibleField< T > (T value)
| TをFlexibleFieldにキャスト。 More...

## Additional Inherited Members
Protected Attributes inherited from FlexibleField< RectTransform >
T | _Value
| 固定値 More...
AnyParameterReference | _Parameter
| パラメータ参照 More...
InputSlotAny | _Slot
| データ入力スロット More...
Properties inherited from FlexibleField< RectTransform >
override System.Type | fieldType`[get]`
| フィールドの型を返す。 More...
Parameter | parameter`[get]`
| Parameterを返す。TypeがParameter以外の場合はnull。 More...
T | value`[get]`
| 値を返す More...

## Detailed Description

参照方法が複数ある柔軟なRectTransform型を扱うクラス。

## Constructor & Destructor Documentation

FlexibleRectTransform | ( |  | ) |

FlexibleRectTransformデフォルトコンストラクタ

FlexibleRectTransform | ( | RectTransform | value | ) |

FlexibleRectTransformコンストラクタ

Parameters

  value | 値

FlexibleRectTransform | ( | RectTransformParameterReference | parameter | ) |

FlexibleRectTransformコンストラクタ

Parameters

  parameter | パラメータ

FlexibleRectTransform | ( | InputSlotRectTransform | slot | ) |

FlexibleRectTransformコンストラクタ

Parameters

  slot | スロット

## Member Function Documentation

static operator FlexibleRectTransform | ( | RectTransform | value | ) |
| explicit static

RectTransformをFlexibleRectTransformにキャスト。

Parameters

  value | RectTransform

static operator RectTransform | ( | FlexibleRectTransform | flexible | ) |
| explicit static

FlexibleRectTransformをRectTransformにキャスト。

Parameters

  flexible | FlexibleRectTransform

FlexibleComponent ToFlexibleComponent | ( |  | ) |

FlexibleComponentへ変換して返す。

Returns
  FlexibleComponent